from setuptools import setup
import re

def get_property(prop, project):
  result = re.search(r'{}\s*=\s*[\'"]([^\'"]*)[\'"]'.format(prop), open(project + '/__init__.py').read())
  return result.group(1)

project_name = 'portfolio-manager-service'

setup(
    name='portfolio-manager-service',
    version=get_property('__version__', project_name),
    description="Enertiv API wrapper to access the EPA's Portfolio Manager database.",
    author=get_property('__author__', project_name),
    classifiers=[
        'Development Status :: 4 - Beta',
        'Intended Audience :: Developers',
        'Programming Language :: Python :: 3.5',
        'Topic :: Software Development'
    ],
    keywords = 'energy benchmarking energystar portfolio manager',
    packages=[project_name],
    install_requires=[
        'requests',
        'xmltodict',
        'python-dateutil'
    ]
)